Bug 1023194 - Create a feed for the RHN download software pages that can be consumed by portal GSA feeder
Create a feed for the RHN download software pages that can be consumed by por...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Maintenance (Show other bugs)
MR54 (AMS)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Benjamin Miller
David Spalding
CHG3301
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 16:46 EDT by Benjamin Miller
Modified: 2014-12-14 19:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-19 09:30:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Benjamin Miller 2013-10-24 16:46:13 EDT
Description of problem:
Customer Portal GSA Feeder needs a feed for software downloads that are available from RHN so that customers can search and browse the software they want to download. This is similar to the feeds that were created for *RHN packages. Reference BZ872746 for more information on how to test this item. The code changes are practically the same but to two different applications.

Version-Release number of selected component (if applicable):
N/A

How reproducible:
Every time

Steps to Reproduce:
1. Browse to https://rhn.redhat.com/rhn/gsa/DownloadFeed.do

Actual results:
N/A

Expected results:
1. Should see an XML format page with each of the fields outlined in https://docspace.corp.redhat.com/docs/DOC-125957 (Under Software -> Downloads heading) populated

2. Page should have no more than 200 results

Additional info:
- URL should be able to accept none, any, or all of the parameters:
      onOrAfter (restricts returned results to those with a last_modified time on or after the supplied time)

       onOrBefore (restricts returned results to those with a last_modified time on or before the supplied time)
        If a page=# parameter is appended to the url, the feed will return the #th set of 200 results.
    
- No time constraints; the page may take an indefinite amount of time to load results
Comment 1 Brooks 2013-10-24 16:58:35 EDT
US39087 added to MR55
Comment 2 David Spalding 2013-10-28 16:46:54 EDT
Tested good in Dev:

https://tcms.engineering.redhat.com/run/94235/
Comment 3 Nicole Yancey 2013-11-12 14:52:24 EST
verified on QA
Comment 4 David Spalding 2013-11-19 09:30:04 EST
MR54 RHN Released to production November 18, 2013.

If there's any questions / comments / concerns with any of the bugs that were released with MR54 RHN (CHG3301), please email servicedesk@redhat.com.

Note You need to log in before you can comment on or make changes to this bug.